Purchase internet bundle
curl --request POST \
--url https://api.dancity.app/api/v1/internet/buy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "<string>",
"accountid": "<string>",
"phone": "080*******",
"customerRef": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plan: '<string>',
accountid: '<string>',
phone: '080*******',
customerRef: '<string>'
})
};
fetch('https://api.dancity.app/api/v1/internet/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/internet/buy"
payload = {
"plan": "<string>",
"accountid": "<string>",
"phone": "080*******",
"customerRef": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Internet bundle purchase successful",
"data": {
"transactionId": "TXN-20260506-005",
"status": "SUCCESS",
"plan": "Spectranet 10GB"
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}VAS
Purchase internet bundle
Purchase internet bundle
POST
/
api
/
v1
/
internet
/
buy
Purchase internet bundle
curl --request POST \
--url https://api.dancity.app/api/v1/internet/buy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "<string>",
"accountid": "<string>",
"phone": "080*******",
"customerRef": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plan: '<string>',
accountid: '<string>',
phone: '080*******',
customerRef: '<string>'
})
};
fetch('https://api.dancity.app/api/v1/internet/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/internet/buy"
payload = {
"plan": "<string>",
"accountid": "<string>",
"phone": "080*******",
"customerRef": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Internet bundle purchase successful",
"data": {
"transactionId": "TXN-20260506-005",
"status": "SUCCESS",
"plan": "Spectranet 10GB"
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}